Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class PortletProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.PortletProperty

public class PortletProperty
extends ObjectProperty

An enumerated type used to describe the properties of Portlets in the portal. Portlets support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static PortletProperty` | `Alignment` Alignment of the Portlet.
`static PortletProperty` | `Flags` Used internally to determine whether title bars should be suppressed on a given Portlet.
`static PortletProperty` | `ImageUUID` The class ID of the image for the object.
`static PortletProperty` | `MandatoryPortletOrder` The priority on the page if the Portlet is mandatory for a group of users.
`static PortletProperty` | `PortletType` Type of the Portlet.
`static PortletProperty` | `ProviderClassID` Class ID of the provider used to distinguish Intrinsic Portlets from Remote Portlets.
`static PortletProperty` | `TemplateID` Template ID from which the Portlet was generated and 0 if not associated with a Portlet Template.
`static PortletProperty` | `WebServiceID` Web Service ID with which the Portlet is associated.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageUUID

    public static final PortletProperty ImageUUID

  The class ID of the image for the object.

### ProviderClassID

    public static final PortletProperty ProviderClassID

  Class ID of the provider used to distinguish Intrinsic Portlets from Remote Portlets. Currently there are two possible values: {6BD5EA2D-544C-464B-8F08-33136FCAFD6E} for Intrinsic Portlets and {61266621-F525-11D3-9BE3-0050DAC4C6FA} for Remote Portlets.

### Alignment

    public static final PortletProperty Alignment

  Alignment of the Portlet.

### PortletType

    public static final PortletProperty PortletType

  Type of the Portlet.

### Flags

    public static final PortletProperty Flags

  Used internally to determine whether title bars should be suppressed on a given Portlet.

### MandatoryPortletOrder

    public static final PortletProperty MandatoryPortletOrder

  The priority on the page if the Portlet is mandatory for a group of users.

### TemplateID

    public static final PortletProperty TemplateID

  Template ID from which the Portlet was generated and 0 if not associated with a Portlet Template.

### WebServiceID

    public static final PortletProperty WebServiceID

  Web Service ID with which the Portlet is associated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.